[package]
name = "xmpp"
version = "0.5.0"
authors = [
  "Emmanuel Gil Peyrot <linkmauve@linkmauve.fr>",
  "Maxime “pep” Buquet <pep@bouah.net>",
]
description = "High-level XMPP library"
homepage = "https://xmpp.rs"
repository = "https://gitlab.com/xmpp-rs/xmpp-rs"
keywords = ["xmpp", "jabber", "chat", "messaging", "bot"]
categories = ["network-programming"]
license = "MPL-2.0"
edition = "2021"

[dependencies]
futures = "0.3"
tokio = { version = "1", features = ["fs"] }
log = "0.4"
reqwest = { version = "0.11.8", features = ["stream"] }
tokio-util = { version = "0.7", features = ["codec"] }
# same repository dependencies
tokio-xmpp = { version = "3.4", path = "../tokio-xmpp" }
chrono = "0.4.3"

[dev-dependencies]
env_logger = { version = "0.10", default-features = false, features = ["auto-color", "humantime"] }

[[example]]
name = "hello_bot"
required-features = ["avatars"]

[features]
default = ["avatars"]
avatars = []
